Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1579 - Various problems with INN-2.2 RPM
Summary: Various problems with INN-2.2 RPM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: inn
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-17 18:40 UTC by Mike McHenry
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-20 00:09:59 UTC


Attachments (Terms of Use)

Description Mike McHenry 1999-03-17 18:40:50 UTC
* inn-2.2-3.rpm is missing /etc/rc.d/* files (rc.news,innd)
These files are in the .src.rpm but not referenced in the
files section.

* stock inn.conf has several problems, here are the
recommended changes and reasons
  - pathhost: @HOSTNAME@ should be pathhost: localhost
  - nicekids: 4 should be nicekids: 0
  - verifycancels: false should be verifycancels: true

Comment 1 Mike McHenry 1999-03-17 18:57:59 UTC
Ack, accidentally hit commit before I was done :/

  - logcancelcomm: false should be logcancelcomm: true
  - allownewnews: true should be allownewnews: false
  - usecontrolchan: false should be usecontrolchan: true
  - activedenable: false should be activedenable: true
(All of the above options will prevent various Denial of Service
attacks that are commonly seen in the Usenet world, changing these
options will prevent most of these attacks)

* /etc/cron.daily/inn-cron-expire should be su - news -c
"/usr/lib/news/bin/news.daily delayrm"
(the delayrm will call a specialized unlink program to expire
articles instead of a normal unlink call, improves expire time by a
factor of 10)

* inn.spec configure section should include --with-news-user=news --
with-news-group=news --with-news-master=news --enable-pgp-verify

* cron jobs, it would be nice to have some sort of check so that inn-
cron-expire and inn-cron-nntpsend in particular do not run unless inn
is running. It is somewhat annoying to get hourly emails from inn-
cron-nntpsend when the inn package is installed but not running. In
fact most people use streaming nntp anyway (innfeed) so maybe inn-
cron-nntpsend could just be removed?

* History file is not rebuild on an upgrade. On any kind of version
change to inn the history file needs to be rebuilt, how about adding
this section to the inn.spec file?
%post
if [ -f /var/lib/news/history ]; then
        cd /var/lib/news
        /usr/lib/news/bin/makehistory -i -r
        for i in dir hash index pag; do
                [ -f history.n.$i ] && mv history.n.$i history.$i
        done
        chown news.news history.*
        chmod 644 history.*
else
        cd /var/lib/news
        cp /dev/null history
        /usr/lib/news/bin/makehistory -i
        for i in dir hash index pag; do
                [ -f history.n.$i ] && mv history.n.$i history.$i
        done
        chown news.news history history.*
        chmod 644 history history.*
fi

Comment 2 Preston Brown 1999-03-20 00:09:59 UTC
fixed in inn-2.2-4 and later.


Note You need to log in before you can comment on or make changes to this bug.